home/urls.py
from django.urls import path

from . import views

urlpatterns = [
    path('', views.index, name='index'),
]

story_6/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('home.urls')),
]

home/models.py
from django.db import models

from datetime import datetime

# Create your models here.
class Status(models.Model):
    name = models.CharField(max_length = 100)
    message = models.CharField(max_length = 300)
    posted_date = models.DateTimeField(default=datetime.now, blank=True)

home/forms.py
from django import forms

from .models import Status

class StatusForm(forms.ModelForm):
    class Meta:
        model = Status
        fields = [ 'name', 'message' ]

home/views.py
from django.shortcuts import render

from .forms import StatusForm
from .models import Status

# Create your views here.

def index(request):
    if request.method == 'POST':
        status_form = StatusForm(request.POST)
        if status_form.is_valid():
            status_form.save()
    status_form = StatusForm()
    list_status = Status.objects.all()
    return render(request, 'home/index.html', {
        'status_form': status_form,
        'list_status': list_status
    })

templates/home/index.html
{% load static %}

<!DOCTYPE html>
<html>

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=0.8">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">

    <title>Status Alghi</title>

    <link rel="stylesheet" type="text/css" href="{% static 'css/bootstrap.min.css' %}">
    <link rel="stylesheet" type="text/css" href="{% static 'home/style.css' %}">
</head>

<body>
    <div class="container py-4">
        <div class="row">
            <div class="col text-center">
                <h1>Halo, apa kabar?</h1>
                <div class="pb-5">
                    <form class="text-left px-5" method="POST" action="">
                        {% csrf_token %}
                        <div class="form-group">
                            <label for="id_name">Nama:</label>
                            <input class="form-control" type="text" name="name" maxlength="100" required="" id="id_name">
                        </div>
                        
                        <div class="form-group">
                            <label for="id_message">Status:</label>
                            <input class="form-control" type="text" name="message" maxlength="300" required="" id="id_message">
                        </div>

                        <button class="btn btn-dark w-100" type="submit" id="id_submit">Submit</button>
                    </form>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col">
                <table class="table">
                    <thead>
                        <tr>
                            <th scope="col">#</th>
                            <th scope="col">Nama</th>
                            <th scope="col">Status</th>
                            <th scope="col">Tanggal</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for status in list_status %}
                        <tr>
                            <th scope="row">{{ status.pk }}</th>
                            <td>{{ status.name }}</td>
                            <td>{{ status.message }}</td>
                            <td>{{ status.posted_date }}</td>
                        </tr>
                        {% endfor %}
                    </tbody>
                </table>
            </div>
        </div>
    </div>
    
    <script src="{% static 'js/jquery.slim.min.js' %}"></script>
    <script src="{% static 'js/bootstrap.bundle.min.js' %}"></script>
</body>

</html>